Net::DNS::RR::SPF(3)

NAME
Net::DNS::RR::SPF - DNS SPF resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name SPF spfdata ...');

    $rr = new Net::DNS::RR( name    => 'name',
                            type    => 'SPF',
                            spfdata => 'single text string'
                            );

    $rr = new Net::DNS::RR( name    => 'name',
                            type    => 'SPF',
                            spfdata => [ 'multiple', 'strings', ... ]
                            );

DESCRIPTION
Class for DNS Sender Policy Framework (SPF) resource records.

SPF records inherit most of the properties of the Net::DNS::RR::TXT class.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  spfdata
    $string = $rr->spfdata;
    @list   = $rr->spfdata;

    $rr->spfdata( @list );

When invoked in scalar context, spfdata() returns the policy text as a single string, with text elements concatenated without intervening spaces.

In a list context, spfdata() returns a list of the text elements.

COPYRIGHT
Copyright (c)2005 Olaf Kolkman, NLnet Labs.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, Net::DNS::RR::TXT, RFC4408